image: "python:3.7" 

.test_before_script:
  before_script:
    - python --version
    - pip install -r REQUIREMENTS.txt
    - pip install pytest

stages:
#  - Static Analysis
  - Test
#  - deploy

test_scripts:
  stage: Test
  image: python:3.7
  extends: .test_before_script
  script:
  - python -m pytest test

pylint:
  stage: Test
  image: python:3.7
  script:
    - pip install pylint --quiet
    - pip install -r REQUIREMENTS.txt
    - pylint src/dwd_data_downloader
  allow_failure: true

